Package com.collabnet.ce.soap60.webservices.team

# Class TeamAppSoap

java.lang.Object
com.collabnet.ce.soap60.webservices.WebService
com.collabnet.ce.soap60.webservices.team.TeamAppSoap

All Implemented Interfaces:
  `ITeamAppSoap`

public class TeamAppSoap extends WebService implements ITeamAppSoap
Provides SOAP services for managing teams

Change History

Version 18.1

- getTeamData: Modified to return the team data, when the calling user has tracker view permission through User Group, Inherited role or Site-wide role. In earlier versions, it was returning the team data only if the current user has tracker view permission through direct role alone.

- getTeamListForProject: Modified to return the teams list, when the calling user has tracker view permission through User Group, Inherited role or Site-wide role. In earlier versions, it was returning the teams list only if the current user has tracker view permission through direct role alone.

- getChildTeamList: Modified to return the child teams list, when the calling user has tracker view permission through User Group, Inherited role or Site-wide role. In earlier versions, it was returning the child teams list only if the current user has tracker view permission through direct role alone.

- getTeamMemberList: Modified to return the team members list, when the calling user has tracker view permission through User Group, Inherited role or Site-wide role. In earlier versions, it was returning the team members list only if the current user has tracker view permission through direct role alone.

Since:
  8.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TeamAppSoap()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TeamSoapDO`
  `createTeam(String sessionId, String projectId, String title, String description, String parentTeamId, String teamOwnerUserName, String[] memberUserNames)`
  Creates a new team
  `void`
  `deleteTeam(String sessionId, String teamId)`
  Delete the team if team has no child
  `TeamSoapList`
  `getChildTeamList(String sessionId, String parentTeamId)`
  Get list of child teams specific to parent team
  `TeamSoapDO`
  `getTeamData(String sessionId, String teamId)`
  Get the team data for a team id.
  `TeamSoapList`
  `getTeamListForProject(String sessionId, String projectId)`
  Get list of teams specific to project
  `UserSoapList`
  `getTeamMemberList(String sessionId, String teamId)`
  Get list of team members specific to team
  `void`
  `setTeamData(String sessionId, String teamId, String title, String description, String teamOwnerUserName, String[] memberUserNames, int version)`
  Update team data for given team Id

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.WebService

  `assertNormalProject, assertProjectGroup, canGiveFullUserDetails, checkGeneralPermission, checkPermission, checkPermission, checkSiteWidePermission, createUserSessionKey, downloadFile, filterInvalidProjMembers, generateFolderName, getAccessControlService, getApplicationRegistryService, getAttachment, getAuthenticationService, getCategorization, getCoreService, getDiscussion, getDocMan, getDocumentRootFolder, getFileStorageService, getFolderKey, getFolderPath, getFolderPath, getFolderPath, getFrs, getIntegrationData, getItemPath, getItemPath, getLocale, getMonitoring, getNews, getNulledMinSoapDate, getObjectKey, getObjectPath, getOperation, getPages, getPlanning, getPluggableComponent, getProjectId, getProjectPath, getProjectPath, getRbac, getSearch, getStoredFileSize, getStoredFileText, getTagService, getTeam, getTemplate, getTracker, getUser, getUserData, getUsername, getUserService, getWiki, hasPermission, hasSiteWidePermission, isFolderResource, isProjectGroup, isProjectId, isStrEmpty, isSuperUser, isValidEmail, makeStoredFileDO, makeStoredFileDOs, requireProjectAdminPermission, setPartialOrFullUserData, setUserNameToResponse, storeFile, storeTextFile, validateChoice, validateChoice, validateIconFile, validateString, validateStringArray, validateStringWithTrim, validateTokenAndExactUsername, validateTokenAndExactUsername, validateWikiPageName, verifyLicense`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TeamAppSoap

    public TeamAppSoap()

- ## Method Details

  - ### createTeam

    public TeamSoapDO createTeam(String sessionId, String projectId, String title, String description, String parentTeamId, String teamOwnerUserName, String[] memberUserNames) throws InvalidSessionFault, PermissionDeniedFault, SystemFault, NoSuchObjectFault, ObjectAlreadyExistsFault, IllegalArgumentFault, InvalidProjectFault, InvalidTeamFault
    Creates a new team
    Specified by:
      `createTeam` in interface `ITeamAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - The id of the project under which to create the new team
      `title` - The title of the new team
      `description` - The description of the new team
      `parentTeamId` - The id of the parent team
      `teamOwnerUserName` - The team owner name
      `memberUserNames` - The members of the team
    Returns:
      the team soap object
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `ObjectAlreadyExistsFault` - if an existing team already exists.
      `IllegalArgumentFault` - if invalid argument value was supplied.
      `InvalidProjectFault` - if invalid project id value was supplied.
      `InvalidTeamFault` - if invalid team id value was supplied.
    Since:
      8.0

  - ### setTeamData

    public void setTeamData(String sessionId, String teamId, String title, String description, String teamOwnerUserName, String[] memberUserNames, int version) throws InvalidSessionFault, PermissionDeniedFault, SystemFault, NoSuchObjectFault, ObjectAlreadyExistsFault, IllegalArgumentFault, InvalidTeamFault, VersionMismatchFault
    Update team data for given team Id
    Specified by:
      `setTeamData` in interface `ITeamAppSoap`
    Parameters:
      `sessionId` - User session id.
      `teamId` - The team Id.
      `title` - The team title.
      `description` - The team description.
      `teamOwnerUserName` - The team owner user name.
      `memberUserNames` - The member user names.
      `version` - The version number.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `ObjectAlreadyExistsFault` - if an existing team already exists.
      `IllegalArgumentFault` - if invalid argument value was supplied.
      `InvalidTeamFault` - if invalid team id value was supplied.
      `VersionMismatchFault` - if invalid version number was supplied.
    Since:
      8.0

  - ### getTeamData

    public TeamSoapDO getTeamData(String sessionId, String teamId) throws InvalidSessionFault, PermissionDeniedFault, SystemFault, NoSuchObjectFault, ObjectAlreadyExistsFault, IllegalArgumentFault
    Get the team data for a team id.
    Specified by:
      `getTeamData` in interface `ITeamAppSoap`
    Parameters:
      `sessionId` - User session id.
      `teamId` - The team id.
    Returns:
      the team soap object
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `ObjectAlreadyExistsFault` - if an existing team already exists.
      `IllegalArgumentFault` - if invalid argument value was supplied.
    Since:
      8.0

  - ### deleteTeam

    public void deleteTeam(String sessionId, String teamId) throws InvalidSessionFault, PermissionDeniedFault, SystemFault, NoSuchObjectFault, IllegalArgumentFault, DeleteTeamFault
    Delete the team if team has no child
    Specified by:
      `deleteTeam` in interface `ITeamAppSoap`
    Parameters:
      `sessionId` - User session id.
      `teamId` - The team id.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `IllegalArgumentFault` - if invalid argument value was supplied.
      `DeleteTeamFault` - if team has child.
    Since:
      8.0

  - ### getTeamListForProject

    public TeamSoapList getTeamListForProject(String sessionId, String projectId) throws InvalidSessionFault, PermissionDeniedFault, SystemFault, NoSuchObjectFault, ObjectAlreadyExistsFault, IllegalArgumentFault, InvalidProjectFault
    Get list of teams specific to project
    Specified by:
      `getTeamListForProject` in interface `ITeamAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - The id of the project under which to create the new team.
    Returns:
      list of team for project.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `ObjectAlreadyExistsFault` - if an existing team already exists.
      `IllegalArgumentFault` - if invalid argument value was supplied.
      `InvalidProjectFault` - if invalid project id value was supplied.
    Since:
      8.0

  - ### getChildTeamList

    public TeamSoapList getChildTeamList(String sessionId, String parentTeamId) throws InvalidSessionFault, PermissionDeniedFault, SystemFault, NoSuchObjectFault, ObjectAlreadyExistsFault, IllegalArgumentFault
    Get list of child teams specific to parent team
    Specified by:
      `getChildTeamList` in interface `ITeamAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentTeamId` - The parent team id.
    Returns:
      list of child teams for given parent team id.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `ObjectAlreadyExistsFault` - if an existing team already exists.
      `IllegalArgumentFault` - if invalid argument value was supplied.
    Since:
      8.0

  - ### getTeamMemberList

    public UserSoapList getTeamMemberList(String sessionId, String teamId) throws InvalidSessionFault, PermissionDeniedFault, SystemFault, NoSuchObjectFault, ObjectAlreadyExistsFault, IllegalArgumentFault
    Get list of team members specific to team
    Specified by:
      `getTeamMemberList` in interface `ITeamAppSoap`
    Parameters:
      `sessionId` - User session id.
      `teamId` - The team id.
    Returns:
      list of team members
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `ObjectAlreadyExistsFault` - if an existing team already exists.
      `IllegalArgumentFault` - if invalid argument value was supplied.
    Since:
      8.0